Index: units/shipping/shipping_tag_processor.php
===================================================================
--- units/shipping/shipping_tag_processor.php	(revision 14815)
+++ units/shipping/shipping_tag_processor.php	(working copy)
@@ -259,7 +259,12 @@
 		/* @var $lang LanguagesItem */
 
 		foreach ($shipping_types as $shipping_type) {
+			if ( isset($shipping_type['InsuranceFee']) ) {
+				$shipping_type['TotalCost'] += $shipping_type['InsuranceFee'];
+			}
+
 			$shipping_type['ShippingFree'] = ($shipping_type['TotalCost'] == 0) ? 1 : 0;
+
 			$iso = $this->GetISO($params['currency']);
 			$amount = $this->ConvertCurrency($shipping_type['TotalCost'], $iso);
 			$amount = $lang->formatNumber($amount, 2);
